Bug 1901535 - Remove the managingOAuthAPIServer field from the authentication.operator API [NEEDINFO]
Summary: Remove the managingOAuthAPIServer field from the authentication.operator API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: apiserver-auth
Version: 4.8
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.8.0
Assignee: Standa Laznicka
QA Contact: pmali
URL:
Whiteboard: LifecycleReset
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-25 14:38 UTC by Standa Laznicka
Modified: 2021-07-27 22:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:34:24 UTC
Target Upstream Version:
mfojtik: needinfo?


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift api pull 842 0 None closed Bug 1901535: Remove the ManagingOAuthAPIServer field from authentication.operator API 2021-02-20 09:40:06 UTC
Github openshift cluster-config-operator pull 187 0 None open Bug 1901535: Update openshift/api dependency 2021-03-19 09:38:33 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:34:53 UTC

Description Standa Laznicka 2020-11-25 14:38:40 UTC
Description of problem:
SSIA, this is here just so that we don't forget

Comment 1 Standa Laznicka 2020-11-25 14:47:46 UTC
... also remove the "authentication.operator.openshift.io/managed" annotations from the user and oauth APIService objects

Comment 3 Michal Fojtik 2021-01-06 08:58:38 UTC
This bug hasn't had any activity in the last 30 days. Maybe the problem got resolved, was a duplicate of something else, or became less pressing for some reason - or maybe it's still relevant but just hasn't been looked at yet. As such, we're marking this bug as "LifecycleStale" and decreasing the severity/priority. If you have further information on the current state of the bug, please update it, otherwise this bug can be closed in about 7 days. The information can be, for example, that the problem still occurs, that you still want the feature, that more information is needed, or that the bug is (for whatever reason) no longer relevant. Additionally, you can add LifecycleFrozen into Keywords if you think this bug should never be marked as stale. Please consult with bug assignee before you do that.

Comment 5 Michal Fojtik 2021-02-11 13:05:23 UTC
The LifecycleStale keyword was removed because the bug moved to QE.
The bug assignee was notified.

Comment 7 Xingxing Xia 2021-02-20 11:15:08 UTC
Tested in 4.8.0-0.nightly-2021-02-19-111007 env:
$ oc get apiservice v1.oauth.openshift.io v1.user.openshift.io -o yaml | grep -A 2 " annotations:"
    annotations:
      service.alpha.openshift.io/inject-cabundle: "true"
    creationTimestamp: "2021-02-20T03:09:51Z"
--
    annotations:
      service.alpha.openshift.io/inject-cabundle: "true"
    creationTimestamp: "2021-02-20T03:09:51Z"

This indicates comment 1 annotation is removed. But CRD still has the field:
$ oc get  crd authentications.operator.openshift.io -o yaml |grep -i ManagingOAuthAPIServer
              managingOAuthAPIServer:
                description: ManagingOAuthAPIServer indicates whether this operator is managing OAuth related APIs...

Seems need bump.

Comment 12 Standa Laznicka 2021-04-15 10:56:38 UTC
I no longer see the field. I am not sure when this disappeared.

Comment 14 Xingxing Xia 2021-04-16 03:18:55 UTC
Verified in 4.8.0-0.nightly-2021-04-13-171608:
Running `oc get crd authentications.operator.openshift.io -o yaml`, no ManagingOAuthAPIServer field is defined now.

Comment 17 errata-xmlrpc 2021-07-27 22:34:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.